petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSchurComplementSetKSP

Sets the KSP object that is used to invert A00 in the Schur complement matrix S = A11 - A10 ksp(A00,Ap00) A01

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementSetKSP(Mat S, KSP ksp)

Not Collective

### Input Parameters

| S | - matrix created with MatCreateSchurComplement()
| ksp | - the linear solver object

### Developer Notes

This is used in PCFieldSplit to reuse the 0-split KSP to implement ksp(A00,Ap00) in S. The KSP operators are overwritten with A00 and Ap00 currently set in S.

### See Also

MatSchurComplementGetKSP(), MatCreateSchurComplement(), MatCreateNormal(), MatMult(), MatCreate(), MATSCHURCOMPLEMENT

### Level

developer

### Location

src/ksp/ksp/utils/schurm/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages